package SM.diglib;

import org.ginf.*;
import org.ginf.helpers.*;
import org.w3c.rdf.*;
import org.xml.sax.*;
import java.io.*;

/**
 * This class provides handy access to schema information.
 * THIS FILE HAS BEEN GENERATED AUTOMATICALLY.
 */

public class Coll implements SchemaLoader {

  /** Namespace URI of this schema */
  public static final String NS = "http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-coll";

  /** Identifies an item of the collection */
  public static final Resource item = new Resource(NS + "#item");

  /** The attributes of items which are of interest. Range is a Bag of Resources or a Resource */
  public static final Resource attributes = new Resource(NS + "#attributes");

  /** A constraint that applies to the ConstrainedCollection. FIXME: Range is bool:Operator? */
  public static final Resource constraint = new Resource(NS + "#constraint");

  /** The order of the collection. Range is a Sequence of OrderTypes or an OrderType */
  public static final Resource order = new Resource(NS + "#order");

  public static final Resource unsupportedOrder = new Resource(NS + "#unsupportedOrder");

  public static final Resource unsupportedAttribute = new Resource(NS + "#unsupportedAttribute");

  public static final Resource unsupportedConstraint = new Resource(NS + "#unsupportedConstraint");

  /** Some constrained collection */
  public static final Resource ConstrainedCollection = new Resource(NS + "#ConstrainedCollection");

  /** Some particular order */
  public static final Resource OrderType = new Resource(NS + "#OrderType");


  static final String _schemaData = "<?xml version='1.0' encoding='ISO-8859-1'?>"+
	"<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\""+
	"	 xmlns:s=\"http://www.w3.org/TR/WD-rdf-schema#\">"+
	"<s:Class rdf:ID=\"ConstrainedCollection\"/>"+
	"<s:Class rdf:ID=\"OrderType\"/>"+
	"<rdf:Property rdf:ID=\"attributes\">"+
	"	<s:domain rdf:resource=\"#ConstrainedCollection\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"constraint\">"+
	"	<s:domain rdf:resource=\"#ConstrainedCollection\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"item\">"+
	"	<s:domain rdf:resource=\"#ConstrainedCollection\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"order\">"+
	"	<s:domain rdf:resource=\"#ConstrainedCollection\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"unsupportedAttribute\">"+
	"	<s:domain rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Message\"/>"+
	"	<s:subPropertyOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#warning\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"unsupportedConstraint\">"+
	"	<s:domain rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Message\"/>"+
	"	<s:subPropertyOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#warning\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"unsupportedOrder\">"+
	"	<s:domain rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Message\"/>"+
	"	<s:subPropertyOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#warning\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Resource\"/>"+
	"</rdf:Property>"+
	"</rdf:RDF>"+
	"";

  public boolean loadSchema(String uri, RDFFactory factory) {
    if(NS.equals(uri)) {
      InputSource source = new InputSource( new StringReader( _schemaData ) );
      source.setSystemId(NS);
      factory.registry().fetch(source);
      return true;
    } else
      return false;
  }

}
