/**
 * Copyright  Sergey Melnik (Stanford University, Database Group)
 *
 * All Rights Reserved.
 */

package org.ginf.javagen;

import java.io.*;

/**
 * Encodes a string into Java coded string.
 * Does not write the heading and trailing " char.
 *
 * @author Sergey Melnik <melnik@db.stanford.edu>
 */
public class StringEncoder extends FilterOutputStream {

  public StringEncoder(OutputStream in) {
    super(in);
  }

  public void write(int b) throws IOException {

    if(b == '\"') {

      out.write('\\');
      out.write('\"');

    } else if(b == '\\') {

      out.write('\\');
      out.write('\\');

    } else if(b == '\n') {

      out.write('\"');
      out.write('+');
      out.write('\n');
      out.write('\t');
      out.write('\"');

    } else

      out.write(b);

  }

  public void write(byte b[], int off, int len) throws IOException {
    
    while (len > 0) {

      write(b[off++]);
      len--;
    }
  }
  
  
}
