package org.ginf.schemas;

import org.ginf.*;
import org.ginf.helpers.*;
import org.w3c.rdf.*;
import org.xml.sax.*;
import java.io.*;

/**
 * This class provides handy access to schema information.
 * THIS FILE HAS BEEN GENERATED AUTOMATICALLY.
 */

public class HTTP implements SchemaLoader {

  /** Namespace URI of this schema */
  public static final String NS = "http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-http";

  /** URI containing host and port information.
		Example: http://myServer.com:8271
	 */
  public static final Resource to = new Resource(NS + "#to");

  /** URI containing host and port information.
		Example: http://myServer.com:8271
	 */
  public static final Resource from = new Resource(NS + "#from");

  /** Connection maintains state info */
  public static final Resource Connection = new Resource(NS + "#Connection");


  static final String _schemaData = "<?xml version='1.0' encoding='ISO-8859-1'?>"+
	"<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\""+
	"	 xmlns:s=\"http://www.w3.org/TR/WD-rdf-schema#\">"+
	"<s:Class rdf:ID=\"Connection\">"+
	"	<s:subClassOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-state#StateInfo\"/>"+
	"</s:Class>"+
	"<rdf:Property rdf:ID=\"from\">"+
	"	<s:domain rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Message\"/>"+
	"	<s:range rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#ProcessingEntity\"/>"+
	"	<s:subPropertyOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#from\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"to\">"+
	"	<s:domain rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Message\"/>"+
	"	<s:range rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#ProcessingEntity\"/>"+
	"	<s:subPropertyOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#to\"/>"+
	"</rdf:Property>"+
	"</rdf:RDF>"+
	"";

  public boolean loadSchema(String uri, RDFFactory factory) {
    if(NS.equals(uri)) {
      InputSource source = new InputSource( new StringReader( _schemaData ) );
      source.setSystemId(NS);
      factory.registry().fetch(source);
      return true;
    } else
      return false;
  }

}
